diff -pruN 3.0.4-2/debian/changelog 3.0.4-3/debian/changelog
--- 3.0.4-2/debian/changelog	2024-06-28 00:13:08.000000000 +0000
+++ 3.0.4-3/debian/changelog	2024-07-26 17:02:15.000000000 +0000
@@ -1,3 +1,10 @@
+yubihsm-connector (3.0.4-3) unstable; urgency=medium
+
+  * Apply X-Style: black.
+  * Build with -buildmode=pie (except on mips64el).
+
+ -- Colin Watson <cjwatson@debian.org>  Fri, 26 Jul 2024 18:02:15 +0100
+
 yubihsm-connector (3.0.4-2) unstable; urgency=medium
 
   * Source-only reupload.
diff -pruN 3.0.4-2/debian/control 3.0.4-3/debian/control
--- 3.0.4-2/debian/control	2024-06-28 00:13:08.000000000 +0000
+++ 3.0.4-3/debian/control	2024-07-26 17:02:15.000000000 +0000
@@ -2,7 +2,9 @@ Source: yubihsm-connector
 Section: admin
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Freexian Packaging Team <team+freexian@tracker.debian.org>, Colin Watson <cjwatson@debian.org>
+Uploaders:
+ Freexian Packaging Team <team+freexian@tracker.debian.org>,
+ Colin Watson <cjwatson@debian.org>,
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -21,6 +23,7 @@ Homepage: https://developers.yubico.com/
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/yubihsm-connector
 Vcs-Git: https://salsa.debian.org/pkg-security-team/yubihsm-connector.git
 XS-Go-Import-Path: github.com/Yubico/yubihsm-connector
+X-Style: black
 
 Package: yubihsm-connector
 Architecture: any
@@ -28,8 +31,8 @@ Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
  adduser,
- ${shlibs:Depends},
  ${misc:Depends},
+ ${shlibs:Depends},
 XB-Static-Built-Using:
  ${misc:Static-Built-Using},
 Description: USB to HTTP bridge for the YubiHSM 2
diff -pruN 3.0.4-2/debian/gbp.conf 3.0.4-3/debian/gbp.conf
--- 3.0.4-2/debian/gbp.conf	1970-01-01 00:00:00.000000000 +0000
+++ 3.0.4-3/debian/gbp.conf	2024-07-26 17:02:15.000000000 +0000
@@ -0,0 +1,3 @@
+[DEFAULT]
+pristine-tar = True
+debian-branch = debian/latest
diff -pruN 3.0.4-2/debian/rules 3.0.4-3/debian/rules
--- 3.0.4-2/debian/rules	2024-06-28 00:13:08.000000000 +0000
+++ 3.0.4-3/debian/rules	2024-07-26 17:02:15.000000000 +0000
@@ -3,9 +3,18 @@
 export DH_GOLANG_INSTALL_EXTRA := VERSION
 export DH_GOLANG_GO_GENERATE := 1
 
+buildflags :=
+# https://github.com/golang/go/issues/21222
+ifeq (,$(filter $(DEB_HOST_ARCH),mips64el))
+  buildflags += -buildmode=pie
+endif
+
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang
 
+override_dh_auto_build:
+	dh_auto_build -- $(buildflags)
+
 override_dh_auto_install:
 	dh_auto_install -- --no-source
 	cp -a deb/yubihsm-connector debian/yubihsm-connector.init
